import ee
from ee_plugin import Map

a = 42
type(a)
a
print(a)

Map.setCenter(lon = 17.7, lat = 46.9, zoom = 11) # Balaton
kozeppont = Map.getCenter()
type(kozeppont) # ee.geometry.Geometry

landsat_kepek = ee.ImageCollection("LANDSAT/LC08/C02/T1_L2") \
	.filterBounds(kozeppont) \
	.filterDate("2022-04-01", "2022-10-31")
type(landsat_kepek) # ee.imagecollection.ImageCollection

egyik_kep = landsat_kepek.first()
Map.addLayer(eeObject = egyik_kep, visParams = {"bands": ["SR_B4", "SR_B3", "SR_B2"], "min": 5000, "max": 15000}, name = "landsat8")

type(egyik_kep) # ee.image.Image

egyik_kep # típus és memóriacím

print(egyik_kep) # függvényhívások sorozata

megjelenitheto_tartalom = egyik_kep.getInfo()
type(megjelenitheto_tartalom) # szótár
list(megjelenitheto_tartalom.keys()) # ['type', 'bands', 'id', 'version', 'properties']
type(megjelenitheto_tartalom["bands"]) # lista
len(megjelenitheto_tartalom["bands"]) # 19
megjelenitheto_tartalom["bands"][0]

megjelenitheto_tartalom["type"] # Image
megjelenitheto_tartalom["id"] # LANDSAT/LC08/C02/T1_L2/LC08_188027_20220512

type(megjelenitheto_tartalom["properties"]) # szótár
list(megjelenitheto_tartalom["properties"].keys())
megjelenitheto_tartalom["properties"]["CLOUD_COVER"] # 32.63
megjelenitheto_tartalom["properties"]["SUN_ELEVATION"]
megjelenitheto_tartalom["properties"]["SUN_AZIMUTH"]
megjelenitheto_tartalom["properties"]["DATE_ACQUIRED"]

felhoboritas_szazalek = megjelenitheto_tartalom["properties"]["CLOUD_COVER"]
type(felhoboritas_szazalek) # lebegőpontos
felhoboritas_tortszam = felhoboritas_szazalek / 100
print("A " + megjelenitheto_tartalom["properties"]["DATE_ACQUIRED"] + " napon készült műholdkép " + str(round(felhoboritas_tortszam, 3)) + " része felhős.")

ee.Number(1000)
ee.Number(1000) - 500 # hiba
ee.Number(1000).getInfo() - 500
ee.Number(1000).subtract(ee.Number(500))
ee.Number(1000).subtract(ee.Number(500)).getInfo()
