import ee
from ee_plugin import Map

Map.setCenter(lon = 17.7, lat = 46.9, zoom = 12) # Balaton

pont = ee.Geometry.Point([17.7, 46.9])
Map.addLayer(pont, {"color": "red"}, "pont")

vonal = ee.Geometry.LineString([[17.2, 46.75], [17.4, 46.7], [18.1, 47], [17.9, 47.1]])
Map.addLayer(vonal, {"color": "blue"}, "vonallánc")

teglalap = ee.Geometry.Rectangle([17.0, 46.8, 17.3, 47.0])
Map.addLayer(teglalap, {"color": "orange"}, "téglalap")
teglalap.getInfo()["type"]
type(teglalap) # Geometry

poligon = ee.Geometry.Polygon([[[17.4, 47.0], [17.6, 46.9], [17.9, 47.05], [17.7, 47.2], [17.4, 47.1]]])
Map.addLayer(poligon, {"color": "lime"}, "poligon")

poligon.area().getInfo() # m2
poligon.area().getInfo() / (1000 ** 2) # km2
poligon.area().divide(ee.Number(1000).pow(ee.Number(2))).getInfo() # km2

teglalap.perimeter().getInfo() # m
vonal.length().getInfo()

vonal.toGeoJSONString()
vonal.type().getInfo()
vonal.coordinates().getInfo()

Map.addLayer(vonal.convexHull(), {"color": "purple"}, "befoglaló sokszög")
Map.addLayer(vonal.bounds(), {"color": "gray"}, "befoglaló téglalap")
Map.addLayer(vonal.buffer(1000), {"color": "yellow"}, "1 km-es puffer")
Map.addLayer(vonal.centroid(), {"color": "green"}, "középpont")

type(poligon) # Geometry
poligon_adatokkal = ee.Feature(poligon, {"megye": "Veszprém", "légszennyezettség": 65})
type(poligon_adatokkal) # Feature
print(poligon_adatokkal.getInfo())

poligon_adatokkal.perimeter().getInfo() / 1000 # km
