import ee
from ee_plugin import Map

poligonok_adatokkal = ee.FeatureCollection(poligon_adatokkal)
poligonok_adatokkal.size().getInfo() # 1

eromuvek = ee.FeatureCollection("WRI/GPPD/power_plants")
eromuvek.first().propertyNames().getInfo() # mezőnevek
eromuvek = eromuvek.select(propertySelectors = ["country_lg", "fuel1", "capacitymw"])
eromuvek.first().propertyNames().getInfo() # mezőnevek

atomeromuvek = eromuvek.filter(ee.Filter.eq("fuel1", "Nuclear"))
eromuvek.size().getInfo() # 28664
atomeromuvek.size().getInfo() # 199
Map.addLayer(atomeromuvek, {"color": "red"}, "atomerőművek")
Map.centerObject(atomeromuvek)

orszagonkent_egy = atomeromuvek.distinct(properties = "country_lg")
Map.addLayer(orszagonkent_egy, {"color": "blue"}, "országonként egy atomerőmű")

legnagyobbak = atomeromuvek.limit(20, "capacitymw", False)
legnagyobbak.size().getInfo() # 20

legnagyobbak2 = atomeromuvek.sort("capacitymw", False).limit(20)
legnagyobbak2.size().getInfo() # 20

legnagyobbak.first().getString(property = "country_lg").getInfo() # Japan
legnagyobbak.first().getNumber(property = "capacitymw").getInfo() # 8212 MW
modositott = legnagyobbak.first().set({"country_lg": "Eldorádó", "fuel1": "Nuclear", "capacitymw": 300})
modositott.getInfo()

unio = legnagyobbak.union()
unio.size().getInfo() # 1
unio.first().propertyNames().getInfo() # mezőnevek


