import ee
from ee_plugin import Map

eromuvek = ee.FeatureCollection("WRI/GPPD/power_plants")
eromuvek = eromuvek.select(propertySelectors = ["country_lg", "fuel1", "capacitymw"])

eromuvek_hu = eromuvek \
	.filter(ee.Filter.eq("country_lg", "Hungary")) \
	.filter(ee.Filter.notNull(["capacitymw"]))
eromuvek_hu.size().getInfo() # 12
atlagos_termeles = eromuvek_hu.reduceColumns(reducer = ee.Reducer.mean(), selectors = ["capacitymw"])
atlagos_termeles.getInfo()

Map.addLayer(eromuvek_hu, {"color": "darkblue"}, "magyarországi erőművek")
Map.centerObject(eromuvek_hu)

eromuvek_hu.aggregate_mean(property = "capacitymw").getInfo()
eromuvek_hu.aggregate_count(property = "country_lg").getInfo()
eromuvek_hu.reduceColumns(reducer = ee.Reducer.countDistinct(), selectors = ["country_lg"]).getInfo()
eromuvek_hu.reduceColumns(reducer = ee.Reducer.countDistinct(), selectors = ["fuel1"]).getInfo()

eromuvek_hu.aggregate_min(property = "capacitymw").getInfo()
eromuvek_hu.aggregate_max(property = "capacitymw").getInfo()
eromuvek_hu.reduceColumns(reducer = ee.Reducer.median(), selectors = ["capacitymw"]).getInfo()
eromuvek_hu.reduceColumns(reducer = ee.Reducer.percentile(percentiles = [0, 50, 75, 100]), selectors = ["capacitymw"]).getInfo()

eromuvek.first().getInfo()["properties"]
eromuvek.reduceColumns(reducer = ee.Reducer.first(), selectors = ["capacitymw"]).getInfo()
eromuvek.reduceColumns(reducer = ee.Reducer.lastNonNull(), selectors = ["capacitymw"]).getInfo()

