import ee
from ee_plugin import Map

orszagok = ee.FeatureCollection("USDOS/LSIB/2017")
orszagok.first().propertyNames().getInfo() # mezőnevek
orszagok.size().getInfo()
orszagok.aggregate_count(property = "COUNTRY_NA").getInfo()
orszagok.reduceColumns(reducer = ee.Reducer.countDistinct(), selectors = ["COUNTRY_NA"]).getInfo()

legkisebbek = orszagok.limit(40, "Shape_Area", True)
Map.addLayer(legkisebbek, {"color": "red"}, "legkisebb országok")
Map.centerObject(legkisebbek.first())

legkisebbek.first().getString(property = "COUNTRY_NA").getInfo() # Liancourt Rocks (disp)
legkisebbek.first().getInfo()["properties"]["COUNTRY_NA"]

orszagok.reduceColumns(reducer = ee.Reducer.percentile(percentiles = [50]), selectors = ["Shape_Area"]).getInfo() # 4.88
orszagok.reduceColumns(reducer = ee.Reducer.median(), selectors = ["Shape_Area"]).getInfo()

orszagok \
	.filter(ee.Filter.notNull(["Shape_Area"])) \
	.reduceColumns(reducer = ee.Reducer.stdDev(), selectors = ["Shape_Area"]) \
	.getInfo() # 426.22
